<?php
class Tag extends AppModel
{
    var $name = 'Tag';
   var $hasAndBelongsToMany = array (
										'Photo' => array (
															'className' => 'Photo',
															'joinTable'  => 'photos_tags',
                                     						'foreignKey' => 'tag_id',
                                     						'associationForeignKey'=> 'photo_id')
									);

    /**
     * Function to take an string of of space separated Tags and
     * return an array of their ids
     */
    function parseTags($tagString){
    	$tags = explode(",",trim($tagString));
    	foreach($tags as $tag){
			if(!empty($tag)){
				$this->unbindModel(array('hasAndBelongsToMany'=>array('Photo')));
	    		$tagRow = $this->findByTag($tag);
	    		if(is_array($tagRow)){
	    			$ids[] = $tagRow['Tag']['id'];
	    		}else{
	    			//Code to insert the new tag
	    			$newTag['Tag']['tag']=trim($tag);
	    			$newTag['Tag']['id']="";
	    			$this->save($newTag);
	    			$ids[]=$this->getLastInsertId();
	    		}
			}
    	}
    	return $ids;
    }
}
?>